Name:           yacpi
Version:        3.0.1
Release:        14%{?dist}
Summary:        Yet Another Configuration and Power Interface 

Group:          Applications/System
License:        GPLv2+
URL:            http://www.ngolde.de/yacpi.html 
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz  
Patch0:         %{name}-%{version}.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  ncurses-devel 
BuildRequires:  libacpi-devel 
ExcludeArch:    ppc ppc64

%description
Yacpi is an acpi monitoring program for Linux. It displays acpi information 
like battery status, ac status, cpu frequency, remaining battery/charge 
time, temperature... It also supports the use of more than one battery and 
can display them. 

%prep
%setup -q
%patch0 -p1
sed -i "s/CFLAGS  = -O2 -Wall -g/CFLAGS = $RPM_OPT_FLAGS/" Makefile
sed -i "s&share/doc/%{name}&share/doc/%{name}-%{version}&" Makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#fix convert changelog to UTF8
iconv -f ISO_8859-1 -t UTF-8 -o $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/CHANGELOG{.utf8,}
mv $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/CHANGELOG{.utf8,}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/CHANGELOG
%doc %{_defaultdocdir}/%{name}-%{version}/COPYING
%doc %{_defaultdocdir}/%{name}-%{version}/README
%doc %{_defaultdocdir}/%{name}-%{version}/THANKS
%{_mandir}/man1/%{name}.1.gz



%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 19 2008 Sven Lankes <sven@lank.es> - 3.0.1-11
- add ExcludeArch ppc ppc64

* Sat Aug  2 2008 Sven Lankes <sven@lank.es> - 3.0.1-10
- updated Makefile patch to:
- actually use the set cflags 
- not strip the binary so that we get a -debuginfo package 

* Mon Jul  7 2008 slankes <sven@lank.es> - 3.0.1-9
- minor specfile tweaks

* Thu May  8 2008 slankes <sven@lank.es> - 3.0.1-8
- save doc in name-version instead of version

* Thu May  8 2008 slankes <sven@lank.es> - 3.0.1-7
- drop explicit depencency on ncurses
- rework Makefile-patch
- Replace CFLAGS with RPM_OPT_FLAGS

* Mon May  5 2008 slankes <sven@lank.es> - 3.0.1-6
- Use correct license
- Various specfile cleanups

* Sat May  3 2008 slankes <sven@lank.es> - 3.0.1-5
- Convert CHANGELOG to UTF-8 

* Sat May  3 2008 slankes <sven@lank.es> - 3.0.1-4
- First package version

